#!/usr/bin/bash

DEVICE=$1
LOG_FILE=$2

exec 2>&1
exec >>$LOG_FILE

if [[ "$DEVICE" = "nvidia" ]]; then
	lspci -D | grep -iE 'VGA|3D' | grep -i nvidia
	exit $?
fi

if [[ "$DEVICE" = "stk83xx" ]]; then
	find /sys/devices/ -iname '*STK*8321*' | grep STK
	exit $?
fi

if [[ "$DEVICE" = "focal-spi" ]]; then
	find /sys/devices/ -iname 'FTE4800*' -o -iname 'FTE3600*' -o -iname 'FTE6600*'  | grep FTE
	exit $?
fi

if [[ "$DEVICE" = "alsa" ]]; then
#	lspci -D | grep -iE 'Audio' | grep -i 'Sound Blaster'
# 	exit $?
	exit 0
fi

exit 1
