#!/usr/bin/bash

DRIVER=$1
LOG_FILE=$2
KEY=$3
PROG=$4

exec 2>&1
exec >>$LOG_FILE

SCRIPT_DIR=`dirname $0`
. ${SCRIPT_DIR}/set.sh || exit 1

RUN_SCRIPT=`mktemp /tmp/drv_installXXXXX.sh`
chmod 755 $RUN_SCRIPT

SLEEP_SEC=1

if [ "x$DRIVER" = "x" ]; then
    exit 1
fi

if PACKAGE=$(echo $DRIVER | grep -Po '(kmod|akmod)-\K.*'); then
    if echo $DRIVER | grep -q '^akmod-'; then
        DRACUT_REGEN="true"
    fi
	cat >$RUN_SCRIPT <<EOF
#!/bin/bash
dnf -y remove ${PACKAGE}-kmod-common
EOF
    if [ "$DRACUT_REGEN" = "true" ]; then
        cat >>$RUN_SCRIPT <<EOF
akmods
dracut -f --regenerate-all
EOF
    fi
else
    cat >$RUN_SCRIPT <<EOF
#!/bin/bash
dnf -y remove $DRIVER
sleep 5
exit 0
EOF
fi

${SCRIPT_DIR}/yad_progress.sh "$UNINST_DRV_MESS" $YAD_PROGRESS_PID_FILE 100 $SLEEP_SEC
pkexec $RUN_SCRIPT
RCODE=$?
kill `cat $YAD_PROGRESS_PID_FILE`
rm $YAD_PROGRESS_PID_FILE
rm $RUN_SCRIPT
if [ $RCODE -eq 0 ]; then
	yad $YAD_OPT --title="$YAD_TITLE" --text "$DRV_UNINSTALL_OK_MESS" --button "$RESTART_MESS":1 --button "$RESTART_LATER_MESS":2
else
	yad $YAD_OPT --title="$YAD_TITLE" --text "$DRV_UNINSTALL_ERR_MESS \nLog file: $LOG_FILE" --button "$CLOSE_BUTTON_MESS":2
fi
Quit $?
